Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ix.iface.domain
Class LTF_Writer

    java.lang.Object
      ix.iface.domain.DomainWriter
          ix.iface.domain.LTF_Writer

Direct Known Subclasses:
  TF_Writer

    public class LTF_Writer

extends DomainWriter

A writer for domains described in LTF syntax. This is written in a fairly straightforward recursive-descent style and hence has minimal documentation. It is slightly more complex than strictly necessary, so that subclass TF_Writer can be simpler.

See Also:
  `LTF_Parser`, `TF_Writer`

Nested Class Summary

Nested classes/interfaces inherited from class ix.iface.domain.DomainWriter
`DomainWriter.DomainWriterWrapper`

Field Summary
`(package private) java.io.File` | `domainName`
`(package private) java.io.Writer` | `out`

Constructor Summary
`LTF_Writer()`
`LTF_Writer(java.io.File domainName)`
`LTF_Writer(java.io.Writer out)`

Method Summary
`(package private) Symbol` | `getConstraintSubtype(Constraint c)`
`(package private) boolean` | `isFullyPrintable(java.lang.Object a)`
`(package private) boolean` | `isUsefulAnnotation(java.lang.Object k, java.lang.Object v)`
`(package private) void` | `out(int indent, java.lang.Object o)`
`(package private) void` | `out(int indent, java.lang.String s)`
`(package private) void` | `out(java.lang.Object o)`
`(package private) void` | `out(java.lang.String s)`
`(package private) void` | `outAcrossNode(AcrossNode a)`
`(package private) void` | `outAnnotations(Annotations annotations)`
`(package private) void` | `outAnnotationValue(java.lang.Object v)`
`(package private) void` | `outAtNodeEnd(AtNodeEnd a)`
`(package private) void` | `outBigSeparator()`
`(package private) void` | `outClauseFinish()`
`(package private) void` | `outClauseStart(java.lang.String name)`
`(package private) void` | `outComments(java.lang.String comments)`
`(package private) void` | `outConstraint(Constraint c)`
`(package private) void` | `outConstraintParameter(java.lang.Object p)`
`(package private) void` | `outConstraintRange(ConstraintRange r)`
`(package private) void` | `outConstraints(java.util.List constraints)`
`(package private) void` | `outDomain(Domain domain)`
`(package private) void` | `outDomainAnnotation(java.lang.Object key, java.lang.Object value)`
`(package private) void` | `outDomainHeader(Domain domain)`
`(package private) void` | `outDuration(java.lang.Object d)`
`(package private) void` | `outIssue(Issue issue)`
`(package private) void` | `outIssues(java.util.List issues)`
`(package private) void` | `outln(java.lang.String line)`
`(package private) void` | `outMap(int indent, java.util.Map m)`
`(package private) void` | `outNode(NodeSpec spec)`
`(package private) void` | `outNodeEndRef(NodeEndRef ref, End defaultEnd)`
`(package private) void` | `outNodes(java.util.List nodes)`
`(package private) void` | `outObject(int indent, java.lang.Object obj)`
`(package private) void` | `outObjectClass(ObjectClass c)`
`(package private) void` | `outOrdering(Ordering ord)`
`(package private) void` | `outOrderings(java.util.List orderings)`
`(package private) void` | `outPV(PatternAssignment pv)`
`(package private) void` | `outRefinement(Refinement r)`
`(package private) void` | `outRefinementClose()`
`(package private) void` | `outRefinementHeader(Refinement r)`
`(package private) void` | `outSmallSeparator()`
`(package private) void` | `outTimeWindow(TimeWindow w)`
`(package private) void` | `outVarDcls(java.util.List varDcls)`
`(package private) java.lang.String` | `toString(java.lang.Object o)`
`void` | `writeDomain(Domain domain)`
`void` | `writeDomain(Domain domain, java.io.Writer w)`
`void` | `writeRefinement(Refinement r, java.io.Writer w)`

Methods inherited from class ix.iface.domain.DomainWriter
`makeWriter, saveDomain, saveDomain`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### domainName

    java.io.File domainName

### out

    java.io.Writer out

Constructor Detail

### LTF_Writer

    public LTF_Writer(java.io.File domainName)

### LTF_Writer

    public LTF_Writer(java.io.Writer out)

### LTF_Writer

    public LTF_Writer()

Method Detail

### writeDomain

    public void writeDomain(Domain domain)
                     throws java.io.IOException

  Specified by:
    `writeDomain` in class `DomainWriter`
  Throws:
    `java.io.IOException`

### writeDomain

    public void writeDomain(Domain domain,
                            java.io.Writer w)
                     throws java.io.IOException

  Throws:
    `java.io.IOException`

### writeRefinement

    public void writeRefinement(Refinement r,
                                java.io.Writer w)
                         throws java.io.IOException

  Throws:
    `java.io.IOException`

### outDomain

    void outDomain(Domain domain)

### outDomainHeader

    void outDomainHeader(Domain domain)

### outDomainAnnotation

    void outDomainAnnotation(java.lang.Object key,
                             java.lang.Object value)

### outAnnotationValue

    void outAnnotationValue(java.lang.Object v)

### outObject

    void outObject(int indent,
                   java.lang.Object obj)

### outMap

    void outMap(int indent,
                java.util.Map m)

### outObjectClass

    void outObjectClass(ObjectClass c)

### outRefinement

    void outRefinement(Refinement r)

### outRefinementHeader

    void outRefinementHeader(Refinement r)

### outRefinementClose

    void outRefinementClose()

### outClauseStart

    void outClauseStart(java.lang.String name)

### outClauseFinish

    void outClauseFinish()

### outBigSeparator

    void outBigSeparator()

### outSmallSeparator

    void outSmallSeparator()

### outVarDcls

    void outVarDcls(java.util.List varDcls)

### outNodes

    void outNodes(java.util.List nodes)

### outNode

    void outNode(NodeSpec spec)

### outOrderings

    void outOrderings(java.util.List orderings)

### outOrdering

    void outOrdering(Ordering ord)

### outNodeEndRef

    void outNodeEndRef(NodeEndRef ref,
                       End defaultEnd)

### outConstraints

    void outConstraints(java.util.List constraints)

### outConstraint

    void outConstraint(Constraint c)

### getConstraintSubtype

    Symbol getConstraintSubtype(Constraint c)

### outConstraintParameter

    void outConstraintParameter(java.lang.Object p)

### outPV

    void outPV(PatternAssignment pv)

### outAcrossNode

    void outAcrossNode(AcrossNode a)

### outAtNodeEnd

    void outAtNodeEnd(AtNodeEnd a)

### outConstraintRange

    void outConstraintRange(ConstraintRange r)

### outTimeWindow

    void outTimeWindow(TimeWindow w)

### outDuration

    void outDuration(java.lang.Object d)

### outIssues

    void outIssues(java.util.List issues)

### outIssue

    void outIssue(Issue issue)

### outComments

    void outComments(java.lang.String comments)

### outAnnotations

    void outAnnotations(Annotations annotations)

### isUsefulAnnotation

    boolean isUsefulAnnotation(java.lang.Object k,
                               java.lang.Object v)

### isFullyPrintable

    boolean isFullyPrintable(java.lang.Object a)

### out

    void out(java.lang.String s)

### out

    void out(java.lang.Object o)

### out

    void out(int indent,
             java.lang.String s)

### out

    void out(int indent,
             java.lang.Object o)

### outln

    void outln(java.lang.String line)

### toString

    java.lang.String toString(java.lang.Object o)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD